path: /build/build/nvidia-555-kernel-open-modules-kernel-6.1-555.42.02+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-555/nvidia-drivers
    && anise cleanup && USE="open-kernel" emerge =x11-drivers/nvidia-kernel-modules-555.42.02
    -pv -t
  - |
    USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-555.42.02
  - |
    eval 'rm -rf /nvidia-555-kernel-open-modules || true' && mkdir /nvidia-555-kernel-open-modules && \
    luet-portage --dir /nvidia-555-kernel-open-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-555-kernel-open-modules/lib/modules/nvidia-open/555.42.02/6.1.104-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:29224e5e8f5e17663514c3c5fdb6c15ff351862584f5ef7342b8fbd3dcb76dff
  package:
    name: nvidia-555-kernel-open-modules
    version: 555.42.02+1
    category: kernel-6.1
    use_flags:
    - open-kernel
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.1
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-22 08:46:55.256570057 +0000 UTC m=+879.722836443
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.1.104
      original.package.slot: "555"
      original.package.version: 555.42.02
    treedir: /build/packages
  package_dir: /nvidia-555-kernel-open-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f86409b3db7f10a5d82c1a6a72d4fe0c7baae34a0402d85174d8f27882454fe2
compressiontype: zstd
files:
- lib/modules/nvidia-open/555.42.02/6.1.104-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia-open/555.42.02/6.1.104-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia-open/555.42.02/6.1.104-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia-open/555.42.02/6.1.104-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-555-kernel-open-modules
  version: 555.42.02+1
  category: kernel-6.1
  use_flags:
  - open-kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.1.104
    original.package.slot: "555"
    original.package.version: 555.42.02
